[Pkg-sks-commit] r180 - in sks/trunk/sks/debian: . contrib
chrism at alioth.debian.org
chrism at alioth.debian.org
Thu Jun 19 15:17:17 UTC 2008
Author: chrism
Date: 2008-06-19 15:17:16 +0000 (Thu, 19 Jun 2008)
New Revision: 180
Added:
sks/trunk/sks/debian/contrib/
sks/trunk/sks/debian/contrib/make_debian_orig
Modified:
sks/trunk/sks/debian/changelog
Log:
[project @ 182]
Add debian/contrib/make_debian_orig script by Marco to build debian upstream
tarballs without the unneeded crap put into the upstreamtarball.
Original author: weasel
Date: 2005-08-24 16:55:56.875378+00:00
Modified: sks/trunk/sks/debian/changelog
===================================================================
--- sks/trunk/sks/debian/changelog 2008-06-19 15:17:08 UTC (rev 179)
+++ sks/trunk/sks/debian/changelog 2008-06-19 15:17:16 UTC (rev 180)
@@ -11,8 +11,11 @@
* Forward port rest of 500_debian_fhs.
* Forward port 501_makefile_cflags.
* Remove 511_sys_random, it looks obsolete.
+ * Add debian/contrib/make_debian_orig script by Marco to build
+ debian upstream tarballs without the unneeded crap put into the
+ upstreamtarball.
- -- Peter Palfrader <weasel at debian.org> Wed, 24 Aug 2005 18:42:46 +0200
+ -- Peter Palfrader <weasel at debian.org> Wed, 24 Aug 2005 18:55:04 +0200
sks (1.0.9-0.6) UNRELEASED; urgency=low
Added: sks/trunk/sks/debian/contrib/make_debian_orig
===================================================================
--- sks/trunk/sks/debian/contrib/make_debian_orig (rev 0)
+++ sks/trunk/sks/debian/contrib/make_debian_orig 2008-06-19 15:17:16 UTC (rev 180)
@@ -0,0 +1,53 @@
+#!/bin/sh
+
+# sks_make_debian_orig - make a debian tarball from sks upstream source
+
+# Copyright (c) 2005 Marco Nenciarini <mnencia at prato.linux.it>
+# Copyright (c) 2005 Peter Palfrader <peter at palfrader.org>
+
+# This program is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; either version 2 of the License, or
+# (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program; if not, write to the Free Software
+# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
+
+set -e
+
+trap "echo Error" ERR
+
+if ! version=$(cat VERSION); then
+ echo "Not in sks source dir"
+ exit 255
+fi
+
+currdir=$(pwd)
+tmpdir=$(mktemp -d)
+trap "rm -fr $tmpdir" EXIT
+
+destname=sks-$version
+destfile=$(dirname "$currdir")/sks-$version.debian.tar.gz
+
+mkdir $tmpdir/$destname
+cp -R . $tmpdir/$destname
+
+cd $tmpdir/$destname
+rm -fr ,,* {*
+rm -f *.tar.gz
+rm -fr .arch*
+
+touch Makefile.local
+touch .depend
+
+make dep
+
+cd ..
+rm -f $destfile
+tar czf $destfile $destname
Property changes on: sks/trunk/sks/debian/contrib/make_debian_orig
___________________________________________________________________
Name: svn:executable
+ *
More information about the Pkg-sks-commit
mailing list